Bug 522318 - Fast user switching fails with NV43
Summary: Fast user switching fails with NV43
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 12
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_NV43
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 04:07 UTC by Tomas Miljenović (TomasM)
Modified: 2010-12-05 06:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:26:57 UTC


Attachments (Terms of Use)
dmesg | tail -n 90 (3.60 KB, text/plain)
2009-09-10 04:07 UTC, Tomas Miljenović (TomasM)
no flags Details
Xorg log for failed new session (21.60 KB, text/plain)
2009-09-10 04:08 UTC, Tomas Miljenović (TomasM)
no flags Details
Xorg log for initial session (45.89 KB, text/plain)
2009-09-10 04:08 UTC, Tomas Miljenović (TomasM)
no flags Details
Smolt profile (6.22 KB, text/plain)
2009-09-10 04:10 UTC, Tomas Miljenović (TomasM)
no flags Details
dmesg (F12 install) (51.83 KB, text/plain)
2009-11-23 08:06 UTC, Tomas Miljenović (TomasM)
no flags Details
dmesg (51.83 KB, text/plain)
2009-11-23 08:10 UTC, Tomas Miljenović (TomasM)
no flags Details
Xorg log for new session (39.23 KB, text/plain)
2009-11-23 08:13 UTC, Tomas Miljenović (TomasM)
no flags Details
Xorg log for initial session (12.05 KB, text/plain)
2009-11-23 08:14 UTC, Tomas Miljenović (TomasM)
no flags Details
xorg.conf (620 bytes, text/plain)
2009-11-23 09:25 UTC, Tomas Miljenović (TomasM)
no flags Details

Description Tomas Miljenović (TomasM) 2009-09-10 04:07:02 UTC
Created attachment 360418 [details]
dmesg | tail -n 90

Description of problem:
  Fast user switching fails on NV43 with testday-20090909 i686 LiveCD.

Version-Release number of selected component (if applicable):
  xorg-x11-drv-nouveau-1.0.0.15.8.20090904git2b5ec6a.fc12
  (All system, X packages as provided on LiveCD.)

How reproducible:
  Failed three consecutive times.

Steps to Reproduce:
EITHER
  - fast user switch, the GNOME GUI way as per http://fedoraproject.org/wiki/QA:Testcase_nouveau_fastuserswitch
XOR
  - try manually starting new Xsession
  
Actual results:
  Second X session fails to start.  First remains usable.

Expected results:
  At least two working X-sessions

Comment 1 Tomas Miljenović (TomasM) 2009-09-10 04:08:03 UTC
Created attachment 360419 [details]
Xorg log for failed new session

Comment 2 Tomas Miljenović (TomasM) 2009-09-10 04:08:45 UTC
Created attachment 360420 [details]
Xorg log for initial session

Comment 3 Tomas Miljenović (TomasM) 2009-09-10 04:10:52 UTC
Created attachment 360421 [details]
Smolt profile

Comment 4 Ben Skeggs 2009-11-05 06:23:47 UTC
Could you please update to the following packages, this issue is hopefully resolved now:

http://koji.fedoraproject.org/koji/buildinfo?buildID=139807 (libdrm-2.4.15-4.fc12)
http://koji.fedoraproject.org/koji/buildinfo?buildID=139811 (xorg-x11-drv-nouveau-0.0.15-17)

Thanks!

Comment 5 Tomas Miljenović (TomasM) 2009-11-07 08:30:57 UTC
My machine is not running rawhide, and I will most likely not have the opportunity to install it or spin a LiveCD before Constantine's release.  Unfortunately, this means I cannot confirm a fix in that time.

However, I have some evidence for why I think you should still commit those if they cause no regressions elsewhere.  I doubt it is acceptable for a Fedora bug report (or any), so I'll put it at http://pastebin.com/m2815f64a and leave it up to you.  I can't do much else to test right now sorry.

Comment 6 Adam Williamson 2009-11-07 08:47:35 UTC
you don't need to spin your own, we do nightly live CDs at:

http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/

anything dated 20091106 or later will have the fixes. Oddly 20091106 didn't show up yet, but something should soon.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Bug Zapper 2009-11-16 12:10:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Tomas Miljenović (TomasM) 2009-11-19 05:35:00 UTC
Sorry, had no time for further testing until today.

Fast user switching failed with Fedora 12 i686 KDE LiveCD; attempts to start new session resulted in the system locking up.  I'll be able to try again with LiveCDs in >24h, and attempt to grab some log files via SSH.  I may perform a full F12 install after the next FESCo meeting, if you'd like me to test out any other builds.

N.B.  I'm currently running F11 with F12-derived kernel and graphics stack (with slightly newer libdrm snapshot), and fast user switching works okay.

Comment 9 Tomas Miljenović (TomasM) 2009-11-23 08:05:09 UTC
Fails with up-to-date Fedora 12 installation.  A new session can be successfully launched, but X dies when (slowly) trying to switch between sessions.

I've attached logs from my latest attempt.  I was able to switch back once to :0 (original session), but X went down when trying to get back to :1 (new session).  When I finally got X back up, I was no longer able to VT-switch.

Comment 10 Tomas Miljenović (TomasM) 2009-11-23 08:06:48 UTC
Created attachment 373033 [details]
dmesg (F12 install)

Comment 11 Tomas Miljenović (TomasM) 2009-11-23 08:10:53 UTC
Created attachment 373034 [details]
dmesg

F12 install.

Comment 12 Tomas Miljenović (TomasM) 2009-11-23 08:13:08 UTC
Created attachment 373035 [details]
Xorg log for new session

F12 install.

Comment 13 Tomas Miljenović (TomasM) 2009-11-23 08:14:02 UTC
Created attachment 373036 [details]
Xorg log for initial session

F12 install.

Comment 14 Tomas Miljenović (TomasM) 2009-11-23 08:45:38 UTC
Please delete extraneous dmesg log...

Hardware (including laptop and external monitors) same as in previously attached Smolt profile.

Comment 15 Tomas Miljenović (TomasM) 2009-11-23 09:25:26 UTC
Created attachment 373044 [details]
xorg.conf

F12 install.

Comment 16 Tomas Miljenović (TomasM) 2009-12-01 04:21:10 UTC
Update: I'm seeing similar messages to this:
    nouveau 0000:01:00.0: VGA-1: EDID invalid.
    [drm] nouveau 0000:01:00.0: DDC responded, but no EDID for VGA-1
from dmesg in other situations (s2ram, tty switching) as well, with various symptoms.  Should I file a new bug, and retest fast user switching once that's been sorted?

Comment 17 Bug Zapper 2010-11-04 10:07:41 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Bug Zapper 2010-12-05 06:26:57 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.